Levertine

Please login or register.

Author Topic: Server requirements ?  (Read 1546 times)

lurk

  • Full Member
  • ***
  • Posts: 113

Server requirements ?
« on: January 02, 2015, 12:35:56 PM »
Do I need to have GD library or ImageMagick installed on my server to use LevGal ? 
Guitarist Guild Running SMF 2.0.9 / Tinyportal 1.1 and Levertine Gallery

Arantor

  • Levertine Developer
  • Full Member
  • *
  • Posts: 248

Re: Server requirements ?
« Reply #1 on: January 02, 2015, 01:02:29 PM »
You need at least one of them, ImageMagick is preferred but GD will do.

If your host doesn't offer at least GD, I would have to ask them why since GD has been available bundled with PHP for some time and they pretty much have to go out of their way not to offer it.

lurk

  • Full Member
  • ***
  • Posts: 113

Re: Server requirements ?
« Reply #2 on: January 02, 2015, 01:05:43 PM »
Thanks.  I usually opt for ImageMagick tbh, is there a option in admin settings to choose this? and do you have to set the path to it manually?

You're going to get fed up with all my questions, if you're not already. lol..
Guitarist Guild Running SMF 2.0.9 / Tinyportal 1.1 and Levertine Gallery

Arantor

  • Levertine Developer
  • Full Member
  • *
  • Posts: 248

Re: Server requirements ?
« Reply #3 on: January 02, 2015, 01:09:25 PM »
Right now, it uses Imagick as the connector, which means no path is required. If you're using ImageMagick via path... that's not currently supported (so it'll fall back to using GD)

Questions are good - it's all going into preparing an FAQ page :)
 

SMF 2.0.9 | SMF © 2014, Simple Machines
BlueLight design by Bloc